#include <cstdlib>
using std::exit;
using std::atof;
using std::atol;

#include <iostream>
using std::cout;
using std::cerr;
using std::endl;

#include <iomanip>
using std::setw;

#include <limits>
using std::numeric_limits;

void bad()
{
	cerr << "Computes the N-term series expansion of sqrt(a^2+b):" << endl;
	cerr << "Usage: root2 a b N1 [N2 N3 N4 ...]" << endl;
	exit(1);
}

int main(int argc, char* argv[])
{
	if (argc < 3) bad();
	const double a = atof(argv[1]);;
	const double two_a = 2.0*a;
	const double four_a_squared = two_a*two_a;
	const double b = atof(argv[2]);
	const double b_over_two_a = b/two_a;
	const double b_over_four_a_squared = b/four_a_squared;
	cout.precision(numeric_limits<double>::digits10+1);
	for (int k = 3; k < argc; ++k)
	{
		long int N = atol(argv[k]);
		if (N < 1) bad();
		double final_value;
		if (N == 1) 
			final_value = a;
		else if (N == 2) 
			final_value = a + b_over_two_a;
		else
		{
			double term = -b_over_four_a_squared;
			double sum = term;
			for (long int n = 1; n < N-2; ++n)
			{
				term *= -b_over_four_a_squared*(2*n+1)*(2*n+2)/(n+1)/(n+2);
				sum += term;
			}
			final_value = a+b_over_two_a*(1.0+sum);
		}
		cout << setw(14) << N << setw(20) <<  final_value << endl;
	 } 
	return 0;
}